## libktoblzcheck 1.33

=== debian/changelog ===
libktoblzcheck (1.33-1) unstable; urgency=low

  * New upstream release that fixes the soname mess.

 -- Micha Lenk <micha@debian.org>  Tue, 07 Jun 2011 23:01:07 +0200

libktoblzcheck (1.32.really.is.1.31-2) unstable; urgency=low

  * Re-upload of upstream version 1.31 to fix weird (backwards) soname bump
    (closes: #629362).
  * Remove lintian override again, lintian was right. Shame on me...
  * Remove unneeded debian/*.dirs files.

 -- Micha Lenk <micha@debian.org>  Mon, 06 Jun 2011 08:51:19 +0200

libktoblzcheck (1.32-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format and add the files config.sub and
    config.guess to extend-diff-ignore in debian/source/options. This allows us
    to greatly condense the debian/rules file.
  * Use dh_python2 instead of deprecated python-central (closes: #616866).
    Changes in debian/control:
    - remove python-central from build dependencies
    - add version requirement for build dependency on python-all-dev >= 2.6.6-3~
    - move field XS-Python-Version (deprecated) to X-Python-Version
    - drop all XB-Python-Version fields (now obsolete)
    Changes in debian/rules:
    - call dh sequencer "--with python2" instead of "--with python-central"
  * debian/control: drop obsolete version requirements from build dependencies.
  * debian/control: bump version in build-dep on debhelper due to used overrides
    (thanks to lintian for pointing it out).
  * Package is compliant to Debian Policy 3.9.2.0 (no changes needed).
  * debian/*.docs: drop file TODO which was removed upstream.
  * Add lintian override for soname not matching libktoblzcheck1c2a.
  * debian/control: Remove duplicate section 'libs' from binary package
    libktoblzcheck1c2a (thanks to lintian for the hint).

 -- Micha Lenk <micha@debian.org>  Sun, 05 Jun 2011 01:27:54 +0200

libktoblzcheck (1.31-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Sun, 13 Feb 2011 22:49:04 +0100

libktoblzcheck (1.29-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Sun, 12 Dec 2010 13:18:31 +0100

libktoblzcheck (1.28-1) unstable; urgency=low

  * New upstream release
  * Dropped three obsolete Conflicts/Replaces dependencies:
    - libktoblzcheck1c2a on libktoblzcheck1, last released in Debian Sarge
    - ktoblzcheck on ktoblzcheck-bin (< 1.14-3), last released in Debian Etch
    - ktoblzcheck on libktoblzcheck1c2a (< 1.18), version predates Debian Lenny
  * Package is compliant to Debian Policy 3.9.1

 -- Micha Lenk <micha@debian.org>  Sat, 21 Aug 2010 15:19:01 +0200

libktoblzcheck (1.27-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Mon, 17 May 2010 20:19:28 +0200

libktoblzcheck (1.26-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Wed, 17 Mar 2010 21:22:13 +0100

libktoblzcheck (1.25-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to Debian Policy 3.8.4 (no changes needed)

 -- Micha Lenk <micha@debian.org>  Wed, 03 Mar 2010 19:30:24 +0100

libktoblzcheck (1.24-2) unstable; urgency=low

  * Removed dependency on deprecated package python-ctypes and bump minimal
    Python version to 2.5 (closes: #562473).

 -- Micha Lenk <micha@debian.org>  Sun, 10 Jan 2010 13:57:08 +0100

libktoblzcheck (1.24-1) unstable; urgency=low

  * New upstream release
  * Update maintainer's mail address and drop DM upload privileges.
  * Dropped Georg W. Leonhard from uploaders (invalid mail address and MIA).

 -- Micha Lenk <micha@debian.org>  Tue, 08 Dec 2009 09:45:33 +0100

libktoblzcheck (1.23-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to standards version 3.8.3 (no changes needed).

 -- Micha Lenk <micha@lenk.info>  Wed, 09 Sep 2009 18:44:51 +0200

libktoblzcheck (1.22-1) unstable; urgency=low

  * New upstream release.
  * Drop CDBS in favour of debhelper 7.
  * Drop debian/libktoblzcheck1c2a.shlibs and add an appropriate commandline
    option to dh_makeshlibs instead.
  * Don't patch config.{sub,guess} any more but build-depend on autotools-dev
    and symlink its files instead.
  * Delete debian/docs file and copy its content to each <package>.docs file
    (otherwise the files listed in there won't get installed).
  * Bump shlibsdeps to 1.19 (first one containing the most recent symbols).
  * debian/control:
    + drop transitional package libktoblzcheck-bin (Lenny is released now)
    + split Build-Depends into multiple lines
    + bump standards version to 3.8.2 (no changes needed).

 -- Micha Lenk <micha@lenk.info>  Mon, 22 Jun 2009 10:43:01 +0200

libktoblzcheck (1.21-1) unstable; urgency=low

  * New upstream release
  * debian/rules: configure with --with-wget=/usr/bin/wget to avoid
    build dependency on lynx-curl or lynx
  * debian/control:
    + Drop build dependency on lynx-curl or lynx
    + ktoblzcheck: Switch dependency from lynx-curl or lynx to wget
    + Add several ${misc:Depends} as suggested by lintian. Thanks lintian!
  * debian/watch: Make use of the qa.debian.org redirector for SourceForge

 -- Micha Lenk <micha@lenk.info>  Mon, 16 Feb 2009 09:53:33 +0100

libktoblzcheck (1.18-2) unstable; urgency=low

  * (Build-)depend alternatively on lynx-cur or lynx (not lynx only).
  * Bump standards version (no changes needed).

 -- Micha Lenk <micha@lenk.info>  Sun, 06 Jul 2008 23:51:06 +0200

libktoblzcheck (1.18-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch 00_libtool_debian letting config.guess and config.sub match
    those of autotools-dev 20080123.1.
  * Move online update scripts into package ktoblzcheck. This involves
    following changes in debian/control:
    - Let ktoblzcheck conflict with and replace files from earlier
      libktoblzcheck1c2a,
    - Let libktoblzcheck1c2a suggest package ktoblzcheck,
    - Move dependency on lynx to package ktoblzcheck.
  * Bump version in shlibs file.


