=== debian/control ===
Source: libktoblzcheck
Section: libs
Priority: optional
Maintainer: Micha Lenk <micha@debian.org>
Uploaders: Henning Glawe <glaweh@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  python-all-dev (>= 2.6.6-3~),
  autotools-dev
Standards-Version: 3.9.2.0
X-Python-Version: >= 2.5
Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk

Package: libktoblzcheck1c2a
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: ktoblzcheck
Description: library for verification of account numbers and bank codes
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).

Package: libktoblzcheck1-dev
Section: libdevel
Architecture: any
Depends: libktoblzcheck1c2a (= ${binary:Version}), ${misc:Depends}
Description: library for verification of account numbers and bank codes (development files)
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).
 .
 This package contains the development files.

Package: ktoblzcheck
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget
Description: tool for verification of account numbers and bank codes
 ktoblzcheck is a command line tool for verification of bank account numbers
 and bank codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).

Package: python-ktoblzcheck
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1c2a
Description: library for verification of account numbers and bank codes (Python bindings)
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).
 .
 This package provides Python bindings for the library libktoblzcheck.
