=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-bankdata-path=/var/lib/ktoblzcheck1 \
		--with-wget=/usr/bin/wget

override_dh_makeshlibs:
	dh_makeshlibs -V'libktoblzcheck1c2a (>= 1.19)'
