## libktoblzcheck 1.36

=== debian/changelog ===
libktoblzcheck (1.36-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Sat, 22 Oct 2011 21:35:49 +0200

libktoblzcheck (1.35-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Fri, 16 Sep 2011 20:05:56 +0200

libktoblzcheck (1.34-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Fri, 26 Aug 2011 19:56:10 +0200

libktoblzcheck (1.33-3) unstable; urgency=low

  * Fix missing Architecture: field for package libktoblzcheck-dbg.
  * Fixed lintian warning about missing ${misc:Depends}.

 -- Micha Lenk <micha@debian.org>  Tue, 16 Aug 2011 09:59:52 +0200

libktoblzcheck (1.33-2) unstable; urgency=low

  * Add package libktoblzcheck-dbg containing the debug symbols.

 -- Micha Lenk <micha@debian.org>  Tue, 16 Aug 2011 09:34:19 +0200
