=== debian/control ===
--- 
+++ 
@@ -43,6 +43,20 @@
  "Deutsche Bundesbank". It also supports the verification of international bank
  account numbers (IBAN) and bank identifier codes (BIC).
 
+Package: libktoblzcheck-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libktoblzcheck1c2a (= ${binary:Version}),
+  ktoblzcheck (= ${binary:Version}), ${misc:Depends}
+Description: library for verification of account numbers and bank codes (debug symbols)
+ libktoblzcheck is a library for verification of bank account numbers and bank
+ codes (BLZ) of German Banks. It is based on the specifications of the
+ "Deutsche Bundesbank". It also supports the verification of international bank
+ account numbers (IBAN) and bank identifier codes (BIC).
+ .
+ This package contains the debug symbols.
+
 Package: python-ktoblzcheck
 Section: python
 Architecture: all
