## libktoblzcheck 1.37

=== debian/changelog ===
libktoblzcheck (1.37-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Mon, 12 Dec 2011 19:42:32 +0100
