=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 		--with-bankdata-path=/var/lib/ktoblzcheck1 \
 		--with-wget=/usr/bin/wget
 
+override_dh_strip:
+	dh_strip --dbg-package=libktoblzcheck-dbg
+
 override_dh_makeshlibs:
 	dh_makeshlibs -V'libktoblzcheck1c2a (>= 1.19)'
