## libktoblzcheck 1.39

=== debian/changelog ===
libktoblzcheck (1.39-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Mon, 21 May 2012 22:33:02 +0200

libktoblzcheck (1.38-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to Debian Policy 3.9.3.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Mon, 23 Apr 2012 21:45:45 +0200
