=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
   autotools-dev
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3.0
 X-Python-Version: >= 2.5
 Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk
