## libktoblzcheck 1.42

=== debian/changelog ===
libktoblzcheck (1.42-1) unstable; urgency=low

  * New upstream release
  * Package is compliant to Debian Policy 3.9.4 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Fri, 07 Jun 2013 15:15:13 +0200

libktoblzcheck (1.41-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Wed, 08 May 2013 13:32:13 +0200

libktoblzcheck (1.40-1) experimental; urgency=low

  * New upstream release
    - fixes online_update.pl script (closes: #686536).
  * Inject build flags from dpkg-buildflags, enabling support for the Security
    Hardening Build Flag release goal.

 -- Micha Lenk <micha@debian.org>  Mon, 12 Nov 2012 20:52:15 +0100
