=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		$(shell dpkg-buildflags --export=configure) \
 		--with-bankdata-path=/var/lib/ktoblzcheck1 \
 		--with-wget=/usr/bin/wget
