## libktoblzcheck 1.44

=== debian/changelog ===
libktoblzcheck (1.44-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el
      by getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Tue, 07 Jan 2014 20:00:53 -0500

libktoblzcheck (1.44-1) unstable; urgency=low

  * New upstream release.
  * Update config.{sub,guess} during build using autotools-dev. This should fix
    the build on the arm64 architecture (closes: #727411).
  * Package is compliant to Debian Policy 3.9.5 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 05 Jan 2014 18:31:50 +0100

libktoblzcheck (1.43-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el and update
    config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 31 Dec 2013 18:08:01 -0500

libktoblzcheck (1.43-1) unstable; urgency=low

  * New upstream release

 -- Micha Lenk <micha@debian.org>  Wed, 14 Aug 2013 20:17:38 +0200
