=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libktoblzcheck
 Section: libs
 Priority: optional
-Maintainer: Micha Lenk <micha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
-  autotools-dev
-Standards-Version: 3.9.4
+  dh-autoreconf
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk
