=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 \
+	      --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
