## libktoblzcheck 1.45

=== debian/changelog ===
libktoblzcheck (1.45-1) unstable; urgency=low

  * New upstream release
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (closes: #734536).

 -- Micha Lenk <micha@debian.org>  Tue, 11 Mar 2014 19:49:39 +0100
