=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libktoblzcheck
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Micha Lenk <micha@debian.org>
+Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
