## libktoblzcheck 1.46

=== debian/changelog ===
libktoblzcheck (1.46-2) unstable; urgency=medium

  * Added patch 01_fix_build_failure_using_gcc-4.9.patch to fix build
    failures when compiling with GCC 4.9 or newer.

 -- Micha Lenk <micha@debian.org>  Mon, 18 Aug 2014 23:13:50 +0200

libktoblzcheck (1.46-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update URLs in Vcs-Browser: and Vcs-Svn:

 -- Micha Lenk <micha@debian.org>  Fri, 15 Aug 2014 15:44:00 +0200
