=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
   dh-autoreconf
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/aqbanking/libktoblzcheck/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/aqbanking/libktoblzcheck/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/aqbanking/libktoblzcheck/trunk/
+Vcs-Svn: svn://anonscm.debian.org/aqbanking/libktoblzcheck/trunk
 
 Package: libktoblzcheck1c2a
 Architecture: any
