## libktoblzcheck 1.47

=== debian/changelog ===
libktoblzcheck (1.47-1) unstable; urgency=medium

  * New upstream release
  * Dropped patch 01_fix_build_failure_using_gcc-4.9.patch, included upstream.
  * Package is compliant to Debian Policy 3.9.6 (no changes needed).
  * Switch to package management in Git repository. For that purpose, updating
    URLs in Vcs-Browser: and Vcs-Svn: again.

 -- Micha Lenk <micha@debian.org>  Sat, 18 Oct 2014 22:33:26 +0200
