=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 7.0.50~),
   python-all-dev (>= 2.6.6-3~),
   dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/aqbanking/libktoblzcheck/trunk/
-Vcs-Svn: svn://anonscm.debian.org/aqbanking/libktoblzcheck/trunk
+Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
+Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
 
 Package: libktoblzcheck1c2a
 Architecture: any
