## libktoblzcheck 1.48

=== debian/changelog ===
libktoblzcheck (1.48-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ ABI transition,
    patch from Ubuntu (see #791134)
  * Remove override of dh_makeshlibs, no longer required

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 08 Aug 2015 13:30:21 +0100

libktoblzcheck (1.48-2) unstable; urgency=medium

  * Add a minimalistic autopkgtest.

 -- Micha Lenk <micha@debian.org>  Sun, 03 May 2015 21:45:39 +0200

libktoblzcheck (1.48-1) experimental; urgency=medium

  * New upstream version

 -- Micha Lenk <micha@debian.org>  Mon, 01 Dec 2014 21:17:27 +0100
