=== debian/control ===
--- 
+++ 
@@ -11,10 +11,12 @@
 Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
 Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
 
-Package: libktoblzcheck1c2a
+Package: libktoblzcheck1v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Suggests: ktoblzcheck
+Conflicts: libktoblzcheck1c2a
+Replaces: libktoblzcheck1c2a
 Description: library for verification of account numbers and bank codes
  libktoblzcheck is a library for verification of bank account numbers and bank
  codes (BLZ) of German Banks. It is based on the specifications of the
@@ -24,7 +26,7 @@
 Package: libktoblzcheck1-dev
 Section: libdevel
 Architecture: any
-Depends: libktoblzcheck1c2a (= ${binary:Version}), ${misc:Depends}
+Depends: libktoblzcheck1v5 (= ${binary:Version}), ${misc:Depends}
 Description: library for verification of account numbers and bank codes (development files)
  libktoblzcheck is a library for verification of bank account numbers and bank
  codes (BLZ) of German Banks. It is based on the specifications of the
@@ -47,7 +49,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libktoblzcheck1c2a (= ${binary:Version}),
+Depends: libktoblzcheck1v5 (= ${binary:Version}),
   ktoblzcheck (= ${binary:Version}), ${misc:Depends}
 Description: library for verification of account numbers and bank codes (debug symbols)
  libktoblzcheck is a library for verification of bank account numbers and bank
@@ -60,7 +62,7 @@
 Package: python-ktoblzcheck
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1c2a
+Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1v5
 Description: library for verification of account numbers and bank codes (Python bindings)
  libktoblzcheck is a library for verification of bank account numbers and bank
  codes (BLZ) of German Banks. It is based on the specifications of the
