=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=libktoblzcheck-dbg
-
-override_dh_makeshlibs:
-	dh_makeshlibs -V'libktoblzcheck1c2a (>= 1.19)'
