=== debian/watch ===
version=3
http://sf.net/ktoblzcheck/ \
  ktoblzcheck-([\d.]*).tar.gz debian uupdate
