## libktoblzcheck 1.49

=== debian/changelog ===
libktoblzcheck (1.49-4) unstable; urgency=medium

  * debian/tests:
    - Fix illegal-runtime-test-name (flagged by Lintian) for
      test_ktoblzcheck.py by renaming it to test-ktoblzcheck.py.
    - Fix autopkgtest by allowing python-ktoblzcheck.py to print to STDERR.
  * debian/control: Mark package libktoblzcheck1-dev as Multi-Arch: same
    following an advice on the package tracker page.

 -- Micha Lenk <micha@debian.org>  Wed, 28 Jun 2017 23:13:06 +0200

libktoblzcheck (1.49-3) unstable; urgency=medium

  * debian/tests: Trying to fix execution of test_ktoblzcheck.py.

 -- Micha Lenk <micha@debian.org>  Mon, 26 Jun 2017 22:04:49 +0200

libktoblzcheck (1.49-2) unstable; urgency=medium

  * Package is compliant to Debian Policy 4.0.0 (no changes needed).
  * Drop explicit libktoblzcheck-dbg package and switch to automatically
    generated dbgsym packages. This requires debhelper 9.20160114 or newer to
    build (bumped build-dependency accordingly).

 -- Micha Lenk <micha@debian.org>  Sat, 24 Jun 2017 11:23:11 +0200

libktoblzcheck (1.49-1) experimental; urgency=medium

  * New upstream version
  * Package is compliant to Debian Policy 3.9.8 (no changes needed).
  * Bump debhelper compat level (7 -> 9).
    - debian/rules: dh_auto_configure already exports all environment
      variables listed by dpkg-buildflags. This removes the need to explicitly
      call dpkg-buildflags to provide the build flags to ./configure.
    - debian/*.install: dh_auto_install now automatically installs binaries to
      multi-arch locations. The *.install files were changed to reflect that.
  * debian/tests: Add minimal auto-pkg-test using the Python module.

 -- Micha Lenk <micha@debian.org>  Thu, 09 Mar 2017 13:31:30 +0100
