=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9.20160114),
   python-all-dev (>= 2.6.6-3~),
   dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.5
 Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
 Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
+Testsuite: autopkgtest
 
 Package: libktoblzcheck1v5
 Architecture: any
@@ -26,6 +27,7 @@
 Package: libktoblzcheck1-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libktoblzcheck1v5 (= ${binary:Version}), ${misc:Depends}
 Description: library for verification of account numbers and bank codes (development files)
  libktoblzcheck is a library for verification of bank account numbers and bank
@@ -45,20 +47,6 @@
  "Deutsche Bundesbank". It also supports the verification of international bank
  account numbers (IBAN) and bank identifier codes (BIC).
 
-Package: libktoblzcheck-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libktoblzcheck1v5 (= ${binary:Version}),
-  ktoblzcheck (= ${binary:Version}), ${misc:Depends}
-Description: library for verification of account numbers and bank codes (debug symbols)
- libktoblzcheck is a library for verification of bank account numbers and bank
- codes (BLZ) of German Banks. It is based on the specifications of the
- "Deutsche Bundesbank". It also supports the verification of international bank
- account numbers (IBAN) and bank identifier codes (BIC).
- .
- This package contains the debug symbols.
-
 Package: python-ktoblzcheck
 Section: python
 Architecture: all
