=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 \
	      --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-bankdata-path=/var/lib/ktoblzcheck1 \
		--with-wget=/usr/bin/wget

override_dh_strip:
	dh_strip --dbgsym-migration='libktoblzcheck-dbg (<< 1.49-2~)'
