=== debian/tests/control ===
Test-Command: ktoblzcheck 10000000 1
Depends: @

Tests: test-ktoblzcheck.py
Depends: python-ktoblzcheck
Restrictions: allow-stderr
