## libktoblzcheck 1.50

=== debian/changelog ===
libktoblzcheck (1.50-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:12 +0100

libktoblzcheck (1.50-2) unstable; urgency=medium

  * debian/salsa-ci.yml: Disable build path variations in reprotest.
  * Drop binary package python-ktoblzcheck (Closes: #936886).
  * Add patch to remove the broken Python 2 detection from the upstream build
    system to prevent the package failing to build.

 -- Micha Lenk <micha@debian.org>  Sun, 08 Dec 2019 11:24:26 +0100

libktoblzcheck (1.50-1) unstable; urgency=medium

  * New upstream version 1.50.
  * debian/changelog: Fix spelling error in previous entry (Thanks, Lintian).
  * debian/compat: Bump debhelper compat level (10 -> 11).
  * debian/control:
    - Add build dependency on cmake.
    - Package is compliant to Debian Policy 4.4.1 (no changes needed).
  * debian/rules:
    - Start from scratch because of switch to cmake.
  * debian/docs: Consolidate *.docs files from all packages.
  * debian/source/options: Ignore generated ktoblzcheck.pyc in diff.
  * debian/salsa-ci.yml:
    - Switch to current Salsa CI Team pipeline.
    - Enable diffoscope in reprotest.
  * Add patch fix_missing_BANKDATA_PATH.patch so that the ktoblzcheck binary
    continues to work without explicitly specified bank data file.
  * debian/tests: Update test fixture data used by autopkgtest.

 -- Micha Lenk <micha@debian.org>  Sun, 06 Oct 2019 22:17:58 +0200

libktoblzcheck (1.49-5) unstable; urgency=medium

  * Make package build reproducible in case it is building on a merged /usr
    filesystem (Closes: #915309).
    Thanks to Andreas Henriksson <andreas@fatal.se> for providing the patch.
  * Switch Git repository to salsa.debian.org.
  * Integrate with Salsa CI
  * debian/control:
    - Drop unnecessary testsuite: autopkgtest field (thanks to Lintian).
    - Drop obsolete X-Python-Version field (thanks to Lintian).
    - Package is compliant to Debian Policy 4.3.0 (no changes needed).
    - Mark package libktoblzcheck1v5 as Multi-Arch: same.
    - Drop build-dependency on dh-autoreconf as we are using debhelper compat
      level 10 anyways (thanks to Lintian).
  * debian/changelog: Remove empty line from the end of the file.
    Thanks to Lintian (file-contains-trailing-whitespace).
  * Drop obsolete debian/pycompat file.
    Thanks to Lintian (debian-pycompat-is-obsolete)
  * Bump debhelper compat level (9 -> 10)
  * debian/copyright: Update LGPL 2 to 2.1, matching upstream's COPYING file
  * debian/rules: Add "bindnow" linker flag via DEB_BUILD_MAINT_OPTIONS.
    Thanks to Lintian (hardening-no-bindnow)

 -- Micha Lenk <micha@debian.org>  Sun, 06 Jan 2019 16:35:39 +0100
