=== debian/control ===
--- 
+++ 
@@ -3,17 +3,14 @@
 Priority: optional
 Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-  python-all-dev (>= 2.6.6-3~),
-  dh-autoreconf
-Standards-Version: 4.0.0
-X-Python-Version: >= 2.5
-Vcs-Browser: http://source.lenk.info/git/libktoblzcheck.git
-Vcs-Git: git://source.lenk.info/git/libktoblzcheck.git
-Testsuite: autopkgtest
+Build-Depends: debhelper (>= 11), cmake
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck
+Vcs-Git: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck.git
 
 Package: libktoblzcheck1v5
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
 Suggests: ktoblzcheck
 Conflicts: libktoblzcheck1c2a
@@ -46,15 +43,3 @@
  and bank codes (BLZ) of German Banks. It is based on the specifications of the
  "Deutsche Bundesbank". It also supports the verification of international bank
  account numbers (IBAN) and bank identifier codes (BIC).
-
-Package: python-ktoblzcheck
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libktoblzcheck1v5
-Description: library for verification of account numbers and bank codes (Python bindings)
- libktoblzcheck is a library for verification of bank account numbers and bank
- codes (BLZ) of German Banks. It is based on the specifications of the
- "Deutsche Bundesbank". It also supports the verification of international bank
- account numbers (IBAN) and bank identifier codes (BIC).
- .
- This package provides Python bindings for the library libktoblzcheck.
